from src.export.exporter import exporter
from src.export.strategies.csv_export import csv_export
from src.export.strategies.markdown_export import markdown_export
from src.export.strategies.json_export import json_export


class exporter_factory:
    def make_csv(self):
        """Создать экспортер формата CSV"""

        return exporter(csv_export())

    def make_markdown(self):
        """Создать экспортер формата M↓"""

        return exporter(markdown_export())

    def make_json(self):
        """Создать экспортер формата JSON"""

        return exporter(json_export())
